SDL_GetGamepadInstanceName(3)

NAME
SDL_GetGamepadInstanceName - Get the implementation dependent name of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetGamepadInstanceName(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the name of the selected gamepad. If no name can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepadName(3), SDL_GetGamepads(3)